Loading...
Searching...
No Matches
itk::GPUSimilarity2DTransform< TScalarType, TParentTransform > Class Template Reference

`#include <itkGPUSimilarity2DTransform.h>`

## Detailed Description

template<typename TScalarType = float, typename TParentTransform = Similarity2DTransform<TScalarType>>
class itk::GPUSimilarity2DTransform< TScalarType, TParentTransform >

GPU version of Similarity2DTransform.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 38 of file itkGPUSimilarity2DTransform.h.

Inheritance diagram for itk::GPUSimilarity2DTransform< TScalarType, TParentTransform >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | CPUInverseMatrixType = typename GPUSuperclass::CPUInverseMatrixType
using | CPUMatrixType = typename GPUSuperclass::CPUMatrixType
using | CPUOutputVectorType = typename GPUSuperclass::CPUOutputVectorType
using | CPUSuperclass = TParentTransform
using | GPUSuperclass = GPUMatrixOffsetTransformBase<TScalarType, 2, 2>
using | Pointer = SmartPointer<Self>
using | Self = GPUSimilarity2DTransform
Public Types inherited from itk::GPUMatrixOffsetTransformBase< float, 2, 2 >
using | CPUInverseMatrixType
using | CPUMatrixType
using | CPUOutputVectorType
using | GPUSuperclass
using | ScalarType
using | Self
Public Types inherited from itk::GPUTransformBase
using | Self = GPUTransformBase

## Public Member Functions

virtual const char * | GetClassName () const
virtual const CPUMatrixType & | GetCPUMatrix () const
virtual const CPUOutputVectorType & | GetCPUOffset () const
Public Member Functions inherited from itk::GPUMatrixOffsetTransformBase< float, 2, 2 >
bool | IsMatrixOffsetTransform () const override
| itkStaticConstMacro (InputSpaceDimension, unsigned int, NInputDimensions)
Public Member Functions inherited from itk::GPUTransformBase
virtual const char * | GetNameOfClass () const
virtual GPUDataManager::Pointer | GetParametersDataManager (const std::vcl_size_t index) const
virtual bool | IsBSplineTransform () const
virtual bool | IsIdentityTransform () const
virtual bool | IsTranslationTransform () const

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

| GPUSimilarity2DTransform ()
virtual | ~GPUSimilarity2DTransform ()
Protected Member Functions inherited from itk::GPUMatrixOffsetTransformBase< float, 2, 2 >
GPUDataManager::Pointer | GetParametersDataManager () const override
bool | GetSourceCode (std::string &source) const override
| GPUMatrixOffsetTransformBase ()
| ~GPUMatrixOffsetTransformBase () override=default
Protected Member Functions inherited from itk::GPUTransformBase
| GPUTransformBase ()
virtual | ~GPUTransformBase ()=default

## Private Member Functions

| GPUSimilarity2DTransform (const Self &other)=delete
const Self & | operator= (const Self &)=delete

## Additional Inherited Members

Protected Attributes inherited from itk::GPUTransformBase
GPUDataManager::Pointer | m_ParametersDataManager {}

## Member Typedef Documentation

## ConstPointer

template<typename TScalarType = float, typename TParentTransform = Similarity2DTransform<TScalarType>>

using itk::GPUSimilarity2DTransform< TScalarType, TParentTransform >::ConstPointer = SmartPointer<const Self>

Definition at line 48 of file itkGPUSimilarity2DTransform.h.

## CPUInverseMatrixType

template<typename TScalarType = float, typename TParentTransform = Similarity2DTransform<TScalarType>>

using itk::GPUSimilarity2DTransform< TScalarType, TParentTransform >::CPUInverseMatrixType = typename GPUSuperclass::CPUInverseMatrixType

Definition at line 58 of file itkGPUSimilarity2DTransform.h.

## CPUMatrixType

template<typename TScalarType = float, typename TParentTransform = Similarity2DTransform<TScalarType>>

using itk::GPUSimilarity2DTransform< TScalarType, TParentTransform >::CPUMatrixType = typename GPUSuperclass::CPUMatrixType

Typedefs from GPUSuperclass.

Definition at line 57 of file itkGPUSimilarity2DTransform.h.

## CPUOutputVectorType

template<typename TScalarType = float, typename TParentTransform = Similarity2DTransform<TScalarType>>

using itk::GPUSimilarity2DTransform< TScalarType, TParentTransform >::CPUOutputVectorType = typename GPUSuperclass::CPUOutputVectorType

Definition at line 59 of file itkGPUSimilarity2DTransform.h.

## CPUSuperclass

template<typename TScalarType = float, typename TParentTransform = Similarity2DTransform<TScalarType>>

using itk::GPUSimilarity2DTransform< TScalarType, TParentTransform >::CPUSuperclass = TParentTransform

Definition at line 45 of file itkGPUSimilarity2DTransform.h.

## GPUSuperclass

template<typename TScalarType = float, typename TParentTransform = Similarity2DTransform<TScalarType>>

using itk::GPUSimilarity2DTransform< TScalarType, TParentTransform >::GPUSuperclass = GPUMatrixOffsetTransformBase<TScalarType, 2, 2>

Definition at line 46 of file itkGPUSimilarity2DTransform.h.

## Pointer

template<typename TScalarType = float, typename TParentTransform = Similarity2DTransform<TScalarType>>

using itk::GPUSimilarity2DTransform< TScalarType, TParentTransform >::Pointer = SmartPointer<Self>

Definition at line 47 of file itkGPUSimilarity2DTransform.h.

## Self

template<typename TScalarType = float, typename TParentTransform = Similarity2DTransform<TScalarType>>

using itk::GPUSimilarity2DTransform< TScalarType, TParentTransform >::Self = GPUSimilarity2DTransform

Standard class typedefs.

Definition at line 44 of file itkGPUSimilarity2DTransform.h.

## Constructor & Destructor Documentation

## GPUSimilarity2DTransform() [1/2]

template<typename TScalarType = float, typename TParentTransform = Similarity2DTransform<TScalarType>>

itk::GPUSimilarity2DTransform< TScalarType, TParentTransform >::GPUSimilarity2DTransform | ( |  | ) |

inline protected

Definition at line 76 of file itkGPUSimilarity2DTransform.h.

## ~GPUSimilarity2DTransform()

template<typename TScalarType = float, typename TParentTransform = Similarity2DTransform<TScalarType>>

virtual itk::GPUSimilarity2DTransform< TScalarType, TParentTransform >::~GPUSimilarity2DTransform | ( |  | ) |

inline protected virtual

Definition at line 77 of file itkGPUSimilarity2DTransform.h.

## GPUSimilarity2DTransform() [2/2]

template<typename TScalarType = float, typename TParentTransform = Similarity2DTransform<TScalarType>>

itk::GPUSimilarity2DTransform< TScalarType, TParentTransform >::GPUSimilarity2DTransform | ( | const Self & | other | ) |

private delete

## Member Function Documentation

## GetClassName()

template<typename TScalarType = float, typename TParentTransform = Similarity2DTransform<TScalarType>>

virtual const char * itk::GPUSimilarity2DTransform< TScalarType, TParentTransform >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::GPUMatrixOffsetTransformBase< float, 2, 2 >.

## GetCPUMatrix()

template<typename TScalarType = float, typename TParentTransform = Similarity2DTransform<TScalarType>>

virtual const CPUMatrixType & itk::GPUSimilarity2DTransform< TScalarType, TParentTransform >::GetCPUMatrix | ( |  | ) | const

inline virtual

Get CPU matrix of an MatrixOffsetTransformBase.

Implements itk::GPUMatrixOffsetTransformBase< float, 2, 2 >.

Definition at line 63 of file itkGPUSimilarity2DTransform.h.

## GetCPUOffset()

template<typename TScalarType = float, typename TParentTransform = Similarity2DTransform<TScalarType>>

virtual const CPUOutputVectorType & itk::GPUSimilarity2DTransform< TScalarType, TParentTransform >::GetCPUOffset | ( |  | ) | const

inline virtual

Get CPU offset of an MatrixOffsetTransformBase.

Implements itk::GPUMatrixOffsetTransformBase< float, 2, 2 >.

Definition at line 70 of file itkGPUSimilarity2DTransform.h.

## New()

template<typename TScalarType = float, typename TParentTransform = Similarity2DTransform<TScalarType>>

Pointer itk::GPUSimilarity2DTransform< TScalarType, TParentTransform >::New | ( |  | ) |

static

Method for creation through the object factory.

## operator=()

template<typename TScalarType = float, typename TParentTransform = Similarity2DTransform<TScalarType>>

const Self & itk::GPUSimilarity2DTransform< TScalarType, TParentTransform >::operator= | ( | const Self & |  | ) |

private delete

Generated on 1768596610 for elastix by 1.15.0 |